module AccountsManagement
  class Documents::Order < ActiveRecord::Base
    belongs_to :client_account, :class_name => 'AccountsManagement::Ledgers::Account'
    belongs_to :vat_rate, :class_name => 'CoreModels::Misc::VatRate'
    belongs_to :currency, :class_name => '::CoreModels::Base::Currency'
    belongs_to :alternate_shipping_address, :class_name => '::CoreModels::Base::Address'
    belongs_to :salesperson, :class_name => 'CoreModels::PeopleAndCompanies::Person'

    #attr_accessible :reference_number
    #attr_accessible :client_purchase_order_reference
    #attr_accessible :order_date, :required_delivery_date, :expected_delivery_date
    #attr_accessible :freight_charge, :date_shipped, :shipped_via, :shipping_method
    #attr_accessible :is_active, :is_complete
    #attr_accessible :payment_terms, :quote_amount
    #attr_accessible :additional_notes

    #attr_accessible :client_account, :client_account_id
    #attr_accessible :vat_rate, :vat_rate_id
    #attr_accessible :currency, :currency_id
    #attr_accessible :alternate_shipping_address, :alternate_shipping_address_id
    #attr_accessible :salesperson, :salesperson_id

    #validates :client_account, :presence => true
    validates :currency, :presence => true
  end
end
