module AccountsManagement
  class Ledgers::Account < ActiveRecord::Base
    belongs_to :owner, :polymorphic => true
    belongs_to :currency, :class_name => '::CoreModels::Base::Currency'

    #attr_accessible :name, :convert_all_transactions

    #attr_accessible :owner, :owner_id
    #attr_accessible :currency, :currency_id

    #validates :owner, :presence => true
    validates :name, :presence => true
    validates :currency, :presence => true

    #---------------------------------------------------------------------------

    def to_s
      unique_name
    end

    def unique_name
      owner.nil? ? name : "#{name} (#{owner.display_name})"
    end

    #---------------------------------------------------------------------------

  end
end
