module AccountsManagement
  class Ledgers::Ledger < ActiveRecord::Base
    belongs_to :account, :class_name => 'AccountsManagement::Ledgers::Account'
    belongs_to :currency, :class_name => '::CoreModels::Base::Currency'

    #attr_accessible :name, :convert_all_transactions

    #attr_accessible :account, :account_id
    #attr_accessible :currency, :currency_id

    validates :name, :presence => true
    validates :account, :presence => true
    validates :currency, :presence => true

    #---------------------------------------------------------------------------

  end
end
