class CreateAccountsManagementLedgersAccounts < ActiveRecord::Migration[4.2]
  def change
    create_table :accounts_management_ledgers_accounts do |t|
      t.string :name
      t.references :owner, :polymorphic => true
      t.references :currency
      t.boolean :convert_all_transactions

      t.timestamps :null => false
    end
    add_index :accounts_management_ledgers_accounts, :owner_id
    add_index :accounts_management_ledgers_accounts, :currency_id
  end
end
